#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	24.12.3
%define		qtver		5.15.2
%define		kaname		palapeli
Summary:	Puzzle game
Name:		ka6-%{kaname}
Version:	24.12.3
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications/Games
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	79ec8edd56fbf8dfc1a0d60ae21e9c5e
URL:		http://www.kde.org/
BuildRequires:	Qt6Concurrent-devel
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Gui-devel >= 5.11.1
BuildRequires:	Qt6Qml-devel >= 5.11.1
BuildRequires:	Qt6Quick-devel >= 5.11.1
BuildRequires:	Qt6Svg-devel
BuildRequires:	Qt6Widgets-devel
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-devel
BuildRequires:	ka6-libkdegames-devel >= %{kdeappsver}
BuildRequires:	kf6-extra-cmake-modules >= 5.53.0
BuildRequires:	kf6-karchive-devel >= 5.30.0
BuildRequires:	kf6-kcompletion-devel >= 5.30.0
BuildRequires:	kf6-kconfig-devel >= 5.30.0
BuildRequires:	kf6-kconfigwidgets-devel >= 5.30.0
BuildRequires:	kf6-kcoreaddons-devel >= 5.30.0
BuildRequires:	kf6-kcrash-devel >= 5.30.0
BuildRequires:	kf6-ki18n-devel >= 5.30.0
BuildRequires:	kf6-kio-devel >= 5.30.0
BuildRequires:	kf6-kitemviews-devel >= 5.30.0
BuildRequires:	kf6-knotifications-devel >= 5.30.0
BuildRequires:	kf6-kservice-devel >= 5.30.0
BuildRequires:	kf6-kwidgetsaddons-devel >= 5.30.0
BuildRequires:	kf6-kxmlgui-devel >= 5.30.0
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	ka5-%{kaname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Palapeli is a single-player jigsaw puzzle game. Unlike other games in
that genre, you are not limited to aligning pieces on imaginary grids.
The pieces are freely moveable. Also, Palapeli features real
persistency, i.e. everything you do is saved on your disk immediately.

%description -l pl.UTF-8
Palapeli jest jednosobową grą w układanie puzli. W odróżnieniu do
innych gier z tego gatunku pojedyncze puzle nie są "przywiązane" do
siatki. Możesz je dowolnie przesuwać. Jedną z cech Palapeli jest zapis
wszystkich ruchów w czasie rzeczywistym na dysku.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	ka5-%{kaname}-devel < %{version}

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.


%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
/etc/xdg/palapeli-collectionrc
%attr(755,root,root) %{_bindir}/palapeli
%ghost %{_libdir}/libpala.so.0
%attr(755,root,root) %{_libdir}/libpala.so.*.*
%{_desktopdir}/org.kde.palapeli.desktop
%{_iconsdir}/hicolor/*x*/apps/palapeli.png
%{_iconsdir}/hicolor/*x*/mimetypes/application-x-palapeli.png
%{_datadir}/knotifications6/palapeli.notifyrc
%{_datadir}/metainfo/org.kde.palapeli.appdata.xml
%{_datadir}/mime/packages/palapeli-mimetypes.xml
%{_datadir}/palapeli
%{_datadir}/qlogging-categories6/palapeli.categories
%dir %{_libdir}/qt6/plugins/palapelislicers
%attr(755,root,root) %{_libdir}/qt6/plugins/palapelislicers/palapeli_goldbergslicer.so
%attr(755,root,root) %{_libdir}/qt6/plugins/palapelislicers/palapeli_jigsawslicer.so
%attr(755,root,root) %{_libdir}/qt6/plugins/palapelislicers/palapeli_rectslicer.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/thumbcreator/palathumbcreator.so
%{_datadir}/kio/servicemenus/palapeli_servicemenu.desktop
%{_datadir}/qlogging-categories6/palapeli.renamecategories

%files devel
%defattr(644,root,root,755)
%{_includedir}/Pala
%{_libdir}/libpala.so
%{_libdir}/cmake/Pala
%changelog
* Sat Mar 08 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-palapeli.git;a=log;h=master

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 7daea16
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> c128385
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 5fc9f54
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4f81654
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 364eca4
- updated to 24.08.3

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> dc6bf15
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3871ab8
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f8a39ca
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 950cf55
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0c50c3d
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 951e49e
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a56051e
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 96c904b
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 886ecdd
- updated to 24.02.0

